Bug 119326 - The application crashes when you add the "Windows Share" File Services resource
Summary: The application crashes when you add the "Windows Share" File Services resource
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.1 target:6.0.7
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2018-08-17 08:04 UTC by Ryhor
Modified: 2018-08-25 17:04 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["RtlUserThreadStart", "INetURLObject::decode(rtl::OUStringBuffer%20const%20&,INetURLObject::DecodeMechanism,unsigned%20short)"]


Attachments
Dump from WinDbg (41.64 KB, text/plain)
2018-08-20 09:31 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ryhor 2018-08-17 08:04:23 UTC
Description:
Приложение падает при добавлении "Разделяемый ресурс Windows" в диалоге "Файлы на сервере"

Steps to Reproduce:
1.Файл->Открыть удалённо...-> Добавить службу
2.Тип - Разделяемый ресурс Windows
3.В поле "Узел" ввести "192.168.1.1" (либо любой другой ip). Нажать "ОК"

Actual Results:
Приложение падает с ошибкой

Expected Results:
Предупреждать если параметры введены неверно. Да и вообще в помощи не указаны примеры как надо вводить правильно.


Reproducible: Always


User Profile Reset: No



Additional Info:
Версия: 6.1.0.3 (x64)
ID сборки: efb621ed25068d70781dc026f7e9c5187a4decd1
Потоков ЦП: 8; ОС:Windows 6.1; Отрисовка ИП: по умолчанию; 
Локаль: ru-RU (ru_RU); Calc: CL
http://crashreport.libreoffice.org/stats/crash_details/e2bd1863-924c-4f51-a886-a21812798968
Comment 1 Julien Nabet 2018-08-17 08:15:22 UTC
Google Translation:

Description:
The application crashes when you add a "Shared Windows resource" in the "Files on server" dialog

1. File-> Open remotely ...-> Add service
2. Type - Shared resource Windows
3. In the "Node" field enter "192.168.1.1" (or any other ip). Click "OK

Actual Results:
The application crashes with an error

Expected Results:
Warn if parameters are entered incorrectly. Yes, and in general, no examples of how to enter correctly are given in the help.
Comment 2 Timur 2018-08-17 15:45:34 UTC
Repro with 5.4.7 and 6.2+ master 64-bit, when I entered wrong data to all fields: 
crashreport.libreoffice.org/stats/crash_details/a2198ab4-0101-4ad8-8ef0-4862a1911698
http://crashreport.libreoffice.org/stats/signature/RtlUserThreadStart
Comment 3 Julien Nabet 2018-08-19 13:28:35 UTC
Crashreports aren't very useful, there's just "RtlUserThreadStart" (at least for 6.1.0.3).
See https://wiki.documentfoundation.org/QA/BugReport/Debug_Information#Windows:_How_to_get_a_backtrace
Comment 4 Timur 2018-08-20 09:31:38 UTC
Created attachment 144324 [details]
Dump from WinDbg
Comment 5 Xisco Faulí 2018-08-21 13:25:53 UTC
I got another crash signature: http://crashreport.libreoffice.org/stats/crash_details/c5c9caaf-ac97-42be-a01c-8d68967e9fd3
Comment 6 Xisco Faulí 2018-08-21 13:40:05 UTC
Also reproduced in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 16; OS Version: Windows 6.29; UI Render: default; 
Locale: en-GB (en_GB)
Comment 7 Xisco Faulí 2018-08-21 14:04:46 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ce43d0ae9279edbf1ad108fe0d8325327a038d49

author	Noel Grandin <noel@peralex.com>	2016-02-16 11:26:51 +0200
committer	Michael Stahl <mstahl@redhat.com>	2016-02-16 10:37:55 +0000
commit	ce43d0ae9279edbf1ad108fe0d8325327a038d49 (patch)
tree	a0fbf7bbd608d1185005a0de36496c6f3656e798
parent	049cf885c6e6c12ac9fa20bcb4ca1472de5b9115 (diff)
use consistent #define checks for the Windows platform
stage 1 of replacing usage of various checks for the windows platform
with the compiler-defined '_WIN32' macro

Bisected with: bibisect-win32-5.2

Adding Cc: to Noel Grandin
Comment 8 Noel Grandin 2018-08-21 14:23:55 UTC
Could someone test

   https://gerrit.libreoffice.org/59402

to confirm?
Comment 9 Xisco Faulí 2018-08-21 14:40:29 UTC
Confirm the patch fixes the crash...
Comment 10 Commit Notification 2018-08-21 19:05:19 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=82034b04e81b74a048595b0eac0f73581ecbc9e4

tdf#119326 crash when adding "Windows Share" File resource

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2018-08-21 23:05:49 UTC
Cherry-picked to:
6.1: https://gerrit.libreoffice.org/#/c/59415/1
6.0: https://gerrit.libreoffice.org/#/c/59422/
Comment 12 Commit Notification 2018-08-22 07:22:22 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=49e522f3d6c6045710ecb2d233a07880ac9c6c7d&h=libreoffice-6-1

tdf#119326 crash when adding "Windows Share" File resource

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2018-08-22 07:33:07 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7f2ee85300b9e1666020e74f03744a3a7c103ed&h=libreoffice-6-0

tdf#119326 crash when adding "Windows Share" File resource

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Xisco Faulí 2018-08-25 17:04:43 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: af579ed7d1482df5cfa7e12e8af2603917d40602
CPU threads: 16; OS: Windows 6.3; UI render: default; 
Locale: en-GB (en_GB); Calc: threaded

@Noel Grandin, Thanks for fixing this!!